> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitski.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH Payment

> Update payment method for an order.

> [!NOTE]
>
> Access to this API is available upon request to [sales@bitski.com](mailto:sales@bitski.com).

```bash cURL theme={null}
curl -X 'PATCH' \
  'https://api.bitski.com/v1/orders/3fa85f64-5717-4562-b3fc-2c963f66afa6/payments/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <ACCESS_TOKEN>' \
  -d '{
  "payment": {
    "paymentMethodId": "pm_1Mz4es2eZvKYlo2CSnrUx5Z6",
    "status": "completed"
  }
}'
```

### Examples

![Example](https://mintcdn.com/bitski/M9S3MklVi0sxl9A9/assets/images/order-confirmation-25593ac1a2cfdd4506ac9dc914967111.png?fit=max\&auto=format\&n=M9S3MklVi0sxl9A9\&q=85\&s=818c57a42c41a14138622adb1b2a593a)

### Response

**order** `Order object` *required*

**properties**

**id** `string` *required*

**createdAt** `string` *required*

**currency** `string` *required*

**items** `array` *required*

**status** `string` *required*

**subtotal** `string` *required*

**fees** `string` *required*

**taxes** `string` *required*

**total** `string` *required*

**payment** `Payment object` *required*

**properties**

**id** `string` *required*

**createdAt** `string` *required*

**nextAction** `object`

**paymentMethodDescription** `object` *required*

**paymentMethodId** `string` *required*

```json Sample Response theme={null}
{
  "order": {
    "createdAt": "2023-04-20T21:05:20.976Z",
    "currency": "USD",
    "fees": "1.00",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "items": [
      {
        "amount": "10.00",
        "fees": "1.00",
        "productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "taxes": "1.00"
      }
    ],
    "status": "DRAFT",
    "subtotal": "10.00",
    "taxes": "1.00",
    "total": "12.00"
  },
  "payment": {
    "createdAt": "2023-04-20T21:05:20.976Z",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "nextAction": null,
    "paymentMethodDescription": "Visa 4111",
    "paymentMethodId": "pm_1Mz4es2eZvKYlo2CSnrUx5Z6"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.